net.sourceforge.pmd.lang.java.typeresolution

## Class TypeResolutionFacade

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.lang.java.typeresolution.TypeResolutionFacade

- All Implemented Interfaces:
    JavaParserVisitor

      public class TypeResolutionFacade
      extends JavaParserVisitorAdapter

  Author:
    Allan Caplan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeResolutionFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeWith(ClassLoader classLoader, ASTCompilationUnit node)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeResolutionFacade

          public TypeResolutionFacade()

  - ### Method Detail

    - #### initializeWith

          public void initializeWith(ClassLoader classLoader,
                            ASTCompilationUnit node)

Copyright © 2002-2013 InfoEther. All Rights Reserved.